Skip to content

Download all files

Request

Download files generated by a campaign run.

Security
oauth2(Required scopes: borrowercampaign.run:read) or bearerAuth or apiKeyHeader
Path
borrowerCampaignIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

Peach's unique or lender's external identifier.

borrowerCampaignRunIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

Peach's unique or lender's external identifier.

Query
filestring

Specify which file should be downloaded from this campaign run. The requested files will be returned as a .zip file.

  • query_results.csv - A CSV formatted file of the query results received from Redash
  • campaign_input.json - A JSON formatted file of the parsed query results used as input to the campaign
  • contacts.csv - The exported contacts as CSV—i.e., the output.
  • log.txt - A log of the campaign run process.
Default:"all"
Enum:"all""query_results.csv""campaign_input.json""contacts.csv""log.txt"
GET
/campaigns/{borrowerCampaignId}/runs/{borrowerCampaignRunId}/download
curl -i -X GET \
  'https://sandboxapi.peach.finance/api/campaigns/{borrowerCampaignId}/runs/{borrowerCampaignRunId}/download?file=all' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success